# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

## Classes

- _global_
- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Button
- Checkbox
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- CircumcircleSector
- Conic
- Curve
- Ellipse
- Functiongraph
- Glider
- Grid
- Group
- Hatch
- Hyperbola
- Image
- Incenter
- Incircle
- Inequality
- Input
- Integral
- Intersection
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CA
- JXG.CanvasRenderer
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.CoordsElement
- JXG.Curve
- JXG.Dump
- JXG.EventEmitter
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Line
- JXG.Math
- JXG.Math.Geometry
- JXG.Math.Numerics
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.NoRenderer
- JXG.Options
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Transformation
- JXG.Turtle
- JXG.Util
- JXG.Util.Base64
- JXG.Util.Unzip
- JXG.Util.UTF8
- JXG.VMLRenderer
- JXG.XML
- Label
- Line
- Locus
- MajorArc
- MajorSector
- Midpoint
- MinorArc
- MinorSector
- Mirrorpoint
- NonReflexAngle
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- PerpendicularPoint
- PerpendicularSegment
- Point
- PolarLine
- PolePoint
- Polygon
- Quadtree
- RadicalAxis
- Reflection
- ReflexAngle
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Slopetriangle
- Spline
- Stepfunction
- Tangent
- Tapemeasure
- Text
- Ticks
- Tracecurve
- Transformation
- Turtle

# Class Turtle

JXG.Turtle
↳ Turtle

This element is used to provide a constructor for a turtle.
Defined in: turtle.js.
Extends JXG.Turtle.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Turtle(board, parents, attributes) Creates a new turtle

Field Summary
Field Attributes | Field Name and Description
--- | ---
| arrow Attributes for the turtle arrow.

Methods borrowed from class JXG.Turtle:
  back, bk, clean, clearScreen, copyAttr, cs, evalAt, fd, forward, hasPoint, hideTurtle, home, ht, init, left, lookTo, lt, maxX, minX, moveTo, pd, penDown, penUp, pop, popTurtle, pu, push, pushTurtle, right, rt, setAttribute, setHighlightPenColor, setPenColor, setPenSize, setPos, showTurtle, st, X, Y, Z

Class Detail
Turtle(board, parents, attributes)
Creates a new turtle

Parameters:
{JXG.Board} board
  The board the turtle is put on.
{Array} parents
{Object} attributes
  Object containing properties for the element such as stroke-color and visibility. See JXG.GeometryElement#setAttribute

Returns:
  {JXG.Turtle} Reference to the created turtle object.

Field Detail
{Curve} arrow
Attributes for the turtle arrow.
Defined in: options.js.

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Aug 23 2017 17:12:49 GMT-0000 (UTC)